gr::satellites::decode_rs_general Class Reference

<+description of block+> More...

`#include <decode_rs_general.h>`

Inheritance diagram for gr::satellites::decode_rs_general:
[legend]

## Public Types

typedef boost::shared_ptr< decode_rs_general > | sptr

## Static Public Member Functions

static sptr | make (int gfpoly, int fcr, int prim, int nroots, bool verbose)
| Return a shared_ptr to a new instance of satellites::decode_rs_general.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<decode_rs_general> gr::satellites::decode_rs_general::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::decode_rs_general::make | ( | int | gfpoly,
|  | int | fcr,
|  | int | prim,
|  | int | nroots,
|  | bool | verbose )

static

Return a shared_ptr to a new instance of satellites::decode_rs_general.

To avoid accidental use of raw pointers, satellites::decode_rs_general's constructor is in a private implementation class. satellites::decode_rs_general::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- decode_rs_general.h